*,
::before,
::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  user-select: none;
}

*.pad01 {
  padding: 1em 0;
}

*.hidden {
  display: none !important;
}

*.unshow {
  opacity: 0 !important;
}

*[disabled]:not(.user-spec input):not(select),
.paginate_button.disabled a {
  opacity: 0.5;
  pointer-events: none;
  cursor: not-allowed;
  background: repeating-linear-gradient(-45deg, var(--disabled-background-1), var(--disabled-background-1) 10px, var(--disabled-background-2) 10px, var(--disabled-background-2) 20px) !important;
}

*[data-value=init] {
  display: none !important;
}

@keyframes selected-pops-on-click {
  0% {
    scale: 1;
  }
  50% {
    scale: 0.9;
  }
}
@-webkit-keyframes selected-pops-on-click {
  0% {
    scale: 1;
  }
  50% {
    scale: 0.9;
  }
}
main {
  --br-login:var(--br);
}
main .form {
  align-items: flex-start;
  width: 100%;
}
main .form form {
  background: rgba(255, 255, 255, 0.9607843137);
  padding: 1em;
  border-radius: var(--br);
  border: 1px solid var(--border-color);
}
main .form form button, main .form form a {
  justify-content: center;
}
main .form form h2 {
  color: var(--text-color-title-1);
}
main .form form .container {
  margin: 0.5em 0;
  display: flex;
  justify-content: center;
  align-items: center;
  align-content: center;
  flex-direction: column;
}
main .form form .container p:not(.label-for-input):not(.forget-pass-ta) {
  width: 100%;
  margin-bottom: 0.5em;
}
main .form form .container .label-for-input {
  width: 100%;
  color: var(--text-color-priority-2);
  margin: 0 auto 0.2em 0.5em;
  font-size: 0.8em;
}
main .form form .container .label-for-input:not(:first-of-type) {
  margin-top: 1em;
}
main .form form .container label {
  display: flex;
  justify-content: center;
  align-items: center;
  align-content: center;
}
main .form form .container label:not(.pass-forget) {
  width: 100%;
}
main .form form .container label input {
  font-size: medium;
  width: 100%;
  padding: 1em 1.2em;
  border-radius: var(--br-login);
  border: 1px solid var(--border-color);
  outline: none;
}
main .form form .container label input:focus:not(#pass-forget) {
  border: 1px solid var(--main-color);
  outline: 2px solid var(--button-background);
  outline-offset: 2px;
  outline-color: var(--button-outline);
}
main .form form .container label input.pass-ko {
  border-color: var(--error) !important;
}
main .form form .container label input.pass-ok {
  border-color: var(--success-border) !important;
}
main .form form label text {
  color: var(--text-color-priority-2);
  font-size: 0.8em;
}
main .form form .line-el.line-submit {
  margin-top: 0.5em;
}
main .form form .line-el.line-submit button {
  margin-left: auto;
}
@media (max-width: 500px) {
  main .form form .line-el.line-submit {
    flex-direction: column-reverse !important;
  }
  main .form form .line-el.line-submit button {
    width: 100%;
  }
  main .form form .line-el.line-submit a {
    width: 100%;
    text-align: center;
  }
}
main .form form .line-el.line-submit a {
  background: var(--card-background);
}
main .align {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: row;
  gap: 0.5em;
  position: relative;
  border-radius: var(--br-login);
}
main .align i.fa-solid,
main .align .pass-see,
main .align .pass-see-reg {
  position: absolute;
  right: 1px;
  width: 3em !important;
  text-align: center;
  z-index: 1;
  backdrop-filter: blur(2px);
  height: 2em;
  display: flex;
  align-items: center;
  justify-content: center;
}
main .align .pass-see,
main .align .pass-see-reg {
  left: auto;
  right: 1px;
  cursor: pointer;
}
main .align .pass-see input,
main .align .pass-see-reg input {
  display: none;
}

.wrapper-login {
  --duration: 1s;
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  align-content: center;
  flex-direction: column;
  min-height: 110vh;
  position: relative;
  animation: 4s apparition;
}
@keyframes apparition {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
@media all and (max-width: 550px) {
  .wrapper-login {
    background-position: 50% 80%;
  }
}
.wrapper-login::before {
  content: "";
  background-image: url("../resources/img/banners/log.JPG");
  background-size: cover;
  background-position: 50% 35%;
  position: absolute;
  top: 0px;
  right: 0px;
  bottom: 0px;
  left: 0px;
}
.wrapper-login .line-mode {
  color: #fff;
  flex-direction: column;
}
@media all and (max-width: 500px) {
  .wrapper-login .line-mode .reg-log-switch {
    margin: 0.5em auto 1em !important;
  }
}
.wrapper-login .wrapper-redirect {
  display: flex;
  justify-content: center;
  align-items: center;
  align-content: center;
  flex-direction: column;
  gap: 1em;
  z-index: 1;
  transition: translate var(--duration);
}
.wrapper-login .wrapper-redirect svg {
  filter: drop-shadow(2px 4px 6px black);
}
.wrapper-login .wrapper-redirect svg path {
  stroke: white;
  stroke-width: 2;
  fill: none;
  stroke-dasharray: 500;
  stroke-dashoffset: 500;
}
.wrapper-login .wrapper-redirect svg path:last-of-type {
  animation: draw 1.5s ease forwards;
  animation-delay: 1s;
}
.wrapper-login .wrapper-redirect svg path:first-of-type {
  animation: draw 2s ease forwards;
  animation-delay: 2s;
}
@keyframes draw {
  to {
    stroke-dashoffset: 0;
  }
}
.wrapper-login .wrapper-redirect .line-el {
  visibility: hidden;
  opacity: 0;
  animation: var(--duration) apparition forwards;
  animation-delay: 3s;
  -webkit-animation: var(--duration) apparition forwards;
  -webkit-animation-delay: 3s;
  transition: 1s opacity;
}
@keyframes apparition {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
    visibility: visible;
  }
}
@keyframes fadeOut {
  0% {
    opacity: 1;
    visibility: visible;
  }
  100% {
    opacity: 0;
    visibility: hidden;
  }
}
.wrapper-login .wrapper-redirect .line-el.fadeout {
  animation: 1s fadeOut forwards;
  -webkit-animation: 1s fadeOut forwards;
}
.wrapper-login .wrapper-redirect .no-style {
  margin-top: 0.5em;
}
.wrapper-login .wrapper-main {
  position: absolute;
  top: 50%;
  left: 50%;
  translate: -50% -50%;
  overflow: hidden;
  opacity: 0;
  visibility: hidden;
}
.wrapper-login .wrapper-main.fadein {
  animation: var(--duration) in;
  animation-delay: var(--duration);
  animation-fill-mode: forwards;
  -webkit-animation: var(--duration) in;
  -webkit-animation-delay: 1s;
  -webkit-animation-fill-mode: forwards;
}
@keyframes in {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
    visibility: visible;
  }
}
.wrapper-login .wrapper-main .line-el:not(.pass-log-line) {
  color: #fff;
}
@media (max-width: 500px) {
  .wrapper-login .wrapper-main .line-el:not(.pass-log-line) {
    flex-direction: column;
    width: 100%;
  }
  .wrapper-login .wrapper-main .line-el:not(.pass-log-line) button:not(.reg-log-switch) {
    margin-left: auto;
    width: 100%;
  }
}
.wrapper-login .wrapper-main .enter-new-password-container {
  width: 100%;
  margin: 0 !important;
}
.wrapper-login .wrapper-main .enter-new-password-container .line-el.line-r {
  margin: 0 !important;
  width: 100%;
  gap: 0 !important;
  align-items: flex-start !important;
}
.wrapper-login .wrapper-main .enter-new-password-container .line-el.line-r p {
  width: fit-content !important;
  white-space: nowrap !important;
  margin-right: 0 !important;
}
.wrapper-login .wrapper-main .enter-new-password-container .line-el.line-r p.pass-ko {
  color: var(--error) !important;
}
@media all and (max-width: 500px) {
  .wrapper-login .wrapper-main .enter-new-password-container .line-el.line-r p.password-evaluation {
    margin-top: 0 !important;
  }
}
@media all and (max-width: 500px) {
  .wrapper-login .wrapper-main .password-forgot {
    margin: 1em auto 0.5em !important;
  }
}
.wrapper-login .wrapper-main .pass-log-line {
  width: 100%;
  flex-direction: column;
  gap: 0;
}
.wrapper-login .wrapper-main .pass-log-line .label-for-input {
  margin-top: 1em !important;
}
.wrapper-login .wrapper-main .pass-log-line .line-el {
  margin-top: 0.5em;
  margin-left: auto;
}
.wrapper-login .wrapper-main .pass-log-line .line-el .forget-pass-ta {
  font-size: 0.8em;
  color: #000 !important;
}
.wrapper-login .wrapper-main .pass-log-line .line-el #openDialogBtn {
  padding: 0;
  background: none;
  border: 0;
}
.wrapper-login .wrapper-main #loginError,
.wrapper-login .wrapper-main #registerError {
  color: red;
  background: rgba(255, 144, 144, 0.2509803922);
  border: 1px solid red;
  padding: 0.5em;
  border-radius: var(--br);
  margin-top: 1em;
}

.dialog-content form .line-el:last-of-type {
  margin-top: 0.5em;
}